Summary: xinetd - more powerful version of inetd.
Name: xinetd
Version: 2.1.8.6b3
Release: 2
Group:		Networking/Daemons
Copyright:	GPL
Url:		http://synack.net/xinetd
Source:		%{name}-%{version}.tar.gz
Source1:	xinetd.init.tl
Source2:	xinetd.defaults
Source3:	xinetd.README
Source4:	rebuild_xinetd.sh
Requires:	/sbin/chkconfig
Requires:       setup
Buildroot:	/var/tmp/%{name}-%{version}


Summary(zh_CN.EUC): []inetdĸ߼汾
Summary(zh_TW.Big5): [AȾ]inetdŪ

%description
This program replaces /usr/sbin/inetd.  It is much more configurable,
and is capable of much better performance.  It also has improved
security and logging features.


%package	devel
Summary:	Static libraries and header files for xinetd
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
The static libraries and header files for xinetd.


%prep

%setup # -q
CC="gcc $RPM_OPT_FLAGS"   ./configure --prefix=/usr

%build
make
cp -p libs/src/sio/README libs/src/sio/README-libsio
cp -p libs/src/str/README libs/src/str/README-libstr
cp -p libs/src/misc/README libs/src/misc/README-libmisc


%install

if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

mkdir -p $RPM_BUILD_ROOT/etc/xinetd
install -m 644 -o root -g root %{SOURCE2} ${RPM_BUILD_ROOT}/etc/xinetd/defaults
install -m 644 -o root -g root %{SOURCE3} ${RPM_BUILD_ROOT}/etc/xinetd/README

mkdir -p $RPM_BUILD_ROOT/usr/{sbin,lib,include,man/{man3,man5,man8}}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/xinetd

make PREFIX=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/sbin/xinetd

#install -s -m 755 xinetd/itox $RPM_BUILD_ROOT/usr/sbin/inetd2xinetd
install -s -m 755 xinetd/itox $RPM_BUILD_ROOT/usr/sbin/

install -m 755 -o root -g root %{SOURCE4} ${RPM_BUILD_ROOT}/usr/sbin/rebuild_xinetd_conf

make LIB_INSTALLDIR=$RPM_BUILD_ROOT/usr/lib  LIB_INCLUDEDIR=$RPM_BUILD_ROOT/usr/include  LIB_MANDIR=$RPM_BUILD_ROOT/usr/man/man3 makelibs


%post
/sbin/chkconfig --add xinetd

%preun
/sbin/chkconfig --del xinetd


%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README xinetd/CHANGELOG xinetd/COPYRIGHT xinetd/sample.conf
/etc/rc.d/init.d/xinetd
/usr/sbin/itox
/usr/sbin/xinetd
/usr/sbin/rebuild_xinetd_conf
/usr/man/man5/*
/usr/man/man8/*
%dir /etc/xinetd
# Set this to no replace in case he user has modified his default
# config... don't want to blow away his hard work.
%config(noreplace) /etc/xinetd/defaults
/etc/xinetd/README

%files	devel
%defattr(-,root,root)
%doc INSTALL README libs/src/sio/README-libsio libs/src/str/README-libstr libs/src/misc/README-libmisc
/usr/lib/*
/usr/include/*
/usr/man/man3/*

%changelog
* Tue Sep 28 1999 Kazutomo Yoshii <kazutomo@turbolinux.com>
- modified rebuild_xinetd.sh

* Mon Sep 27 1999 Kelley Spoon <kelley.spoon@turbolinux.com>
- added in the rebuild_xinetd.sh script, the README file, and
  a hook for the defaults file.  Still going to wait for
  Kazutomo to come up with a decent defaults file.  :-)

* Mon Sep 27 1999 Kazutomo Yoshii <kazutomo@turbolinux.com>
- updated from 2.2.1 to 2.1.8.6b7 (downgraded version ?)
- The reason:
- The most recent original version of xinetd was 2.1.1 with patches
- bringing it up to 2.1.8. Someone else (whom I also cannot get in touch
- with) created xinetd 2.2.1. The copyright included with xinetd
- specified the required versioning to be the official release of xinetd
- (2.1.8 in this case) and a fourth version number tacked on to indicate
- the modification level. This is the versioning I have adopte


* Tue Jan 19 1999 Scott Stone <sstone@turbolinux.com>
- Added sysv init script
- Buildroot
- Release 5

* Thu Nov 5 1998 Scott Stone <sstone@turbolinux.com>
- Added itox to package

* Thu Oct 29 1998 Scott Stone <sstone@turbolinux.com>
- Built for TL 3.0
- Removed /usr/local/ references

* Sat Sep 26 1998 Scott Stone <sstone@turbolinux.com>
- Built for TL 2.1beta
- Built with glibc, egcs
- Automatically compiles from .src.rpm
- Fixed naming convention
